export type EventListenerSupport = {
    supportsEventListener: boolean;
    supportsOptions: boolean;
    supportsPassive: boolean;
    supportsOnce: boolean;
};
/**
 * Detects support for addEventListener, including its third options parameter and passive events.
 *
 * Inspired by
 * https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/addEventListener#Safely_detecting_option_support
 */
export declare function detectEventListener(): EventListenerSupport;
